org.apache.lucene.search

## Interface SortComparatorSource

- All Superinterfaces:
    java.io.Serializable
  All Known Implementing Classes:
    SortComparator

  Deprecated.
  Please use `FieldComparatorSource` instead.

      public interface SortComparatorSource
      extends java.io.Serializable

  Expert: returns a comparator for sorting ScoreDocs.

  Created: Apr 21, 2004 3:49:28 PM This class will be used as part of a key to a FieldCache value. You must implement hashCode and equals to avoid an explosion in RAM usage if you use instances that are not the same instance. If you are searching using the Remote contrib, the same instance of this class on the client will be a new instance on every call to the server, so hashCode/equals is very important in that situation.

  Since:
    1.4
  Version:
    $Id: SortComparatorSource.java 747019 2009-02-23 13:59:50Z mikemccand $

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScoreDocComparator` | `newComparator(IndexReader reader, java.lang.String fieldname)` Deprecated. Creates a comparator for the field in the given index.

- - ### Method Detail

    - #### newComparator

          ScoreDocComparator newComparator(IndexReader reader,
                                           java.lang.String fieldname)
                                    throws java.io.IOException

      Deprecated.
      Creates a comparator for the field in the given index.
      Parameters:
        `reader` - Index to create comparator for.
        `fieldname` - Name of the field to create comparator for.
      Returns:
        Comparator of ScoreDoc objects.
      Throws:
        `java.io.IOException` - If an error occurs reading the index.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.